import { ISvg } from "../components";
// biến id chỉ khi nó không có children
// biến children chỉ khi nó có children
export default [
  // {
  //   name: ISvg.NAME.Dashboard,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Dashboard",
  //   subMenu: 0,
  //   index: 0,
  //   path: "/homeDashboard",
  //   children: [],
  // },
  // {
  //   name: ISvg.NAME.SVGBlog,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Báo cáo tổng hợp",
  //   subMenu: 0,
  //   index: 0,
  //   path: "/reportGeneralPage",
  //   children: [],
  // },
  {
    name: ISvg.NAME.ORDER,
    opacity: 0.5,
    value: "Phiếu yêu cầu",
    index: 0,
    subMenu: 0,
    children: [
      // {
      //   value: "Đơn hàng tạm ĐLC1",
      //   path: "/orderTemporaryPageS1",
      //   index: 0,
      //   subMenu: 0,
      // },
      // {
      //   value: "Danh sách đơn hàng ĐLC1",
      //   path: "/orderPageS1",
      //   index: 1,
      //   subMenu: 0,
      // },
      {
        value: "Danh sách phiếu yêu cầu",
        path: "/order/request/list",
        index: 0,
        subMenu: 0,
      },
      // {
      //   value: "Danh sách đơn hàng ĐLC2",
      //   path: "/orderPage",
      //   index: 2,
      //   subMenu: 2,
      // },
      // {
      //   value: "Danh sách đơn hàng ND",
      //   path: "/orderPageS3",
      //   index: 3,
      //   subMenu: 2,
      // },
    ],
  },
  {
    name: ISvg.NAME.SVGContract,
    hover: true,
    value: "Quản lý Hợp đồng",
    subMenu: 1,
    children: [
      {
        value: "Hợp đồng",
        path: "/contract/list",
        index: 0,
        subMenu: 1,
      },
    ],
  },
  {
    name: ISvg.NAME.CUSTOMER,
    hover: true,
    value: "Khách hàng",
    subMenu: 2,
    children: [
      {
        value: "Khách hàng",
        path: "/customer/list",
        index: 0,
        subMenu: 2,
      },
    ],
  },
  {
    name: ISvg.NAME.TAG,
    opacity: 0.5,
    value: "Quản lý sản phẩm",
    subMenu: 3,
    children: [
      {
        value: "Danh sách sản phẩm",
        path: "/product/list",
        index: 0,
        subMenu: 3,
      },
      {
        value: "Danh mục sản phẩm",
        path: "/category/list",
        index: 1,
        subMenu: 3
      },
      // {
      //   value: "Sản phẩm theo đối tượng",
      //   path: "/product/object/list",
      //   index: 2,
      //   subMenu: 1,
      // },
      // {
      //   value: "Danh sách sản phẩm Đại lý",
      //   path: "/products/npp/list",
      //   index: 1,
      //   subMenu: 1,
      // },
      // {
      //   value: "Danh mục sản phẩm",
      //   path: "/typeProductPage",
      //   index: 2,
      //   subMenu: 1,
      // },
      {
        value: "Sản phẩm nối bật",
        path: "/products/best/sale/list",
        index: 2,
        subMenu: 3,
      },
      // {
      //   value: "Sản phẩm hot",
      //   path: "/products/hot/list",
      //   index: 4,
      //   subMenu: 1,
      // },
    ],
  },
  // {
  //   name: ISvg.NAME.Hide,
  //   opacity: 0.5,
  //   value: "Ẩn theo đối tượng",
  //   subMenu: 2,
  //   children: [
  //     {
  //       value: "Ẩn ngành hàng",
  //       path: "/hide/cate/list",
  //       index: 0,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Ẩn ngành hàng con",
  //       path: "/hide/sub/cate/list",
  //       index: 1,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Ẩn phiên bản",
  //       path: "/hide/product/list",
  //       index: 2,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Ẩn thương hiệu",
  //       path: "/hide/brand/list",
  //       index: 3,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Ẩn CSBH",
  //       path: "/hide/event/list",
  //       index: 4,
  //       subMenu: 2,
  //     },
  //   ],
  // },
  // {
  //   name: ISvg.NAME.WAREHOUSE,
  //   opacity: 0.5,
  //   value: "Quản lý kho",
  //   subMenu: 2,
  //   children: [
  //     {
  //       value: "Kho hàng",
  //       path: "/warehouse/list",
  //       index: 0,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Nhập kho",
  //       path: "/stock/receipt/list",
  //       index: 1,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Xuất kho",
  //       path: "/release/receipt/list",
  //       index: 2,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Lịch sử nhập kho",
  //       path: "/warehouse/report/input/list",
  //       index: 3,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Lịch sử xuất kho",
  //       path: "/warehouse/report/release/list",
  //       index: 4,
  //       subMenu: 2,
  //     },
  //     {
  //       value: "Báo cáo tồn kho",
  //       path: "/warehouse/report/inventory/list",
  //       index: 5,
  //       subMenu: 2,
  //     },
  //   ],
  // },
  // {
  //   name: ISvg.NAME.Debit,
  //   opacity: 0.5,
  //   value: "Công nợ",
  //   subMenu: 3,
  //   children: [
  //     {
  //       value: "Giao dịch thanh toán ĐLC1",
  //       path: "/payment/list",
  //       index: 0,
  //       subMenu: 4,
  //     },
  //     // {
  //     //   value: "Hoàn trả công nợ",
  //     //   path: "/debit/returnDebitPage",
  //     //   index: 1,
  //     //   subMenu: 4,
  //     // },
  //     {
  //       value: "Import công nợ ĐLC1",
  //       path: "/debit/import",
  //       index: 1,
  //       subMenu: 4,
  //     },
  //   ],
  // },
  {
    name: ISvg.NAME.Banner,
    opacity: 0.5,
    hover: false,
    value: "Thương hiệu",
    subMenu: 4,
    children: [
      {
        value: "Thương hiệu",
        path: "/brand/list",
        index: 0,
        subMenu: 4,
      },
      // {
      //   value: "Banner",
      //   path: "/banner/list",
      //   index: 1,
      //   subMenu: 3,
      // },
    ],
  },
  // {
  //   name: ISvg.NAME.SVGMenuAgency,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Hệ thống kênh Phân phối",
  //   subMenu: 4,
  //   children: [
  //     {
  //       value: "Đại lý Cấp 2",
  //       path: "/agencyPageS2",
  //       index: 0,
  //       subMenu: 6,
  //     },
  //     {
  //       value: "Đại lý Cấp 1",
  //       path: "/agencyPage",
  //       index: 1,
  //       subMenu: 6,
  //     },
  //     // {
  //     //   value: "Người dùng cuối",
  //     //   path: "/end/user/list",
  //     //   index: 2,
  //     //   subMenu: 7,
  //     // },
  //     {
  //       value: "Phòng kinh doanh",
  //       path: "/branchpage",
  //       index: 2,
  //       subMenu: 6,
  //     },
  //     {
  //       value: "Phòng điều vận",
  //       path: "/distributionPage",
  //       index: 3,
  //       subMenu: 6,
  //     },
  //   ],
  // },
  // {
  //   name: ISvg.NAME.BROADCAST,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Chính sách Bán hàng",
  //   subMenu: 4,
  //   children: [
  //     {
  //       value: "CSBH Tặng hàng",
  //       path: "/event/gift/list",
  //       index: 0,
  //       subMenu: 7,
  //     },
  //     // {
  //     //   value: "Chương trình Tích lũy",
  //     //   path: "/listEventPage",
  //     //   index: 0,
  //     //   subMenu: 8,
  //     // },
  //     {
  //       value: "CTKM trên đơn",
  //       path: "/event/immediate/list",
  //       index: 1,
  //       subMenu: 7,
  //     },
  //   ],
  // },
  {
    name: ISvg.NAME.SALEMAN,
    hover: true,
    value: "Nhân viên TVBH",
    subMenu: 5,
    children: [
      {
        value: "Nhân viên TVBH",
        path: "/salesman/list",
        index: 0,
        subMenu: 5,
      },
    ],
  },

  {
    name: ISvg.NAME.LOCATION,
    hover: true,
    value: "Quản lý Tuyến",
    subMenu: 6,
    children: [
      {
        value: "Tuyến Bán hàng",
        path: "/route/sell/list",
        index: 0,
        subMenu: 6,
      },
      // {
      //   value: "Quản lý Tuyến Dịch vụ",
      //   path: "/route/serviceSalesman",
      //   index: 1,
      //   subMenu: 10,
      // },
      // {
      //   value: "Quản lý Tác vụ",
      //   path: "/route/action",
      //   index: 2,
      //   subMenu: 10,
      // },
    ],
  },
  {
    name: ISvg.NAME.BROADCAST,
    hover: true,
    value: "Quản lý Chỉ tiêu",
    subMenu: 7,
    children: [
      {
        value: "Danh sách Chỉ tiêu",
        path: "/kpimanagement/list",
        index: 0,
        subMenu: 7,
      },
      // {
      //   value: "Quản lý Tuyến Dịch vụ",
      //   path: "/route/serviceSalesman",
      //   index: 1,
      //   subMenu: 10,
      // },
      // {
      //   value: "Quản lý Tác vụ",
      //   path: "/route/action",
      //   index: 2,
      //   subMenu: 10,
      // },
    ],
  },
  // {
  //   name: ISvg.NAME.Wifi,
  //   hover: true,
  //   value: "Tin tức",
  //   subMenu: 8,
  //   children: [
  //     {
  //       value: "Danh sách Tin tức",
  //       path: "/newsPage",
  //       index: 0,
  //       subMenu: 8,
  //     },
  //     {
  //       value: "Tin tức Ưu tiên",
  //       path: "/prioritize/news/page",
  //       index: 1,
  //       subMenu: 8,
  //     },
  //     {
  //       value: "Chuyên mục Bài viết",
  //       path: "/new/categories/NEWS/page",
  //       index: 2,
  //       subMenu: 8,
  //     },
  //     {
  //       value: "Chuyên mục Video",
  //       path: "/new/categories/VIDEO/page",
  //       index: 3,
  //       subMenu: 8,
  //     },
  //   ],
  // },
  // {
  //   name: ISvg.NAME.BELL,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Thông báo",
  //   subMenu: 8,
  //   children: [
  //     {
  //       value: "Thông báo",
  //       path: "/notificationPage",
  //       index: 0,
  //       subMenu: 8,
  //     },
  //   ],
  // },
  // {
  //   name: ISvg.NAME.NOTI_APP,
  //   opacity: 0.5,
  //   hover: false,
  //   value: "Thiết lập noti app",
  //   subMenu: 9,
  //   children: [
  //     {
  //       value: "Thiết lập noti app",
  //       path: "/notification/app/list",
  //       index: 0,
  //       subMenu: 9,
  //     },
  //   ],
  // },
  {
    name: ISvg.NAME.WAREHOUSE,
    opacity: 0.5,
    value: "Quản lý kho",
    subMenu: 8,
    children: [
      {
        value: "Kho hàng",
        path: "/warehouse/list",
        index: 0,
        subMenu: 8,
      },
      {
        value: "Nhập kho",
        path: "/stock/receipt/list",
        index: 1,
        subMenu: 8,
      },
      {
        value: "Xuất kho",
        path: "/release/receipt/list",
        index: 2,
        subMenu: 8,
      },
      {
        value: "Lịch sử nhập kho",
        path: "/warehouse/report/input/list",
        index: 3,
        subMenu: 8,
      },
      {
        value: "Lịch sử xuất kho",
        path: "/warehouse/report/release/list",
        index: 4,
        subMenu: 8,
      },
      {
        value: "Báo cáo tồn kho",
        path: "/warehouse/report/inventory/list",
        index: 5,
        subMenu: 8,
      },
    ],
  },
  {
    name: ISvg.NAME.SVGMenuAgency,
    hover: true,
    opacity: 0.5,
    value: "Quản lý khảo sát",
    subMenu: 9,
    children: [
      {
        value: "Danh sách khảo sát",
        path: "/survey/list",
        index: 0,
        subMenu: 9,
      },
    ],
  },
  {
    name: ISvg.NAME.UserPhanQuyen,
    hover: true,
    value: "Phân quyền user",
    subMenu: 10,
    children: [
      // {
      //   value: "Phân quyền Admin theo ĐLC1",
      //   path: "/decentralization/user/admin/s1/list",
      //   index: 0,
      //   subMenu: 10,
      // },
      // {
      //   value: "Phân quyền PKD theo ĐLC1",
      //   path: "/decentralization/user/agency/s1/list",
      //   index: 1,
      //   subMenu: 10,
      // },
      // {
      //   value: "Nhóm phân quyền Admin",
      //   path: "/decentralization/admin/list",
      //   index: 2,
      //   subMenu: 10,
      // },
      // {
      //   value: "Nhóm phân quyền PKD",
      //   path: "/decentralization/chinhanh/list",
      //   index: 3,
      //   subMenu: 10,
      // },
      // {
      //   value: "Nhóm phân quyền PĐV",
      //   path: "/decentralization/ttpp/list",
      //   index: 4,
      //   subMenu: 10,
      // },
      {
        value: "Tài khoản Admin",
        path: "/decentralization/user/admin/list",
        index: 0,
        subMenu: 10,
      },
      // {
      //   value: "Tài khoản PKD",
      //   path: "/decentralization/user/chinhanh/list",
      //   index: 6,
      //   subMenu: 10,
      // },
      // {
      //   value: "Tài khoản PĐV",
      //   path: "/decentralization/user/ttpp/list",
      //   index: 7,
      //   subMenu: 10,
      // },
    ],
  },
  {
    name: ISvg.NAME.Debit,
    hover: true,
    value: "Hình thức thanh toán",
    subMenu: 11,
    children: [
      {
        value: "Danh sách hình thức thanh toán",
        path: "/typeofpayment/list",
        index: 0,
        subMenu: 11,
      },
    ],
  },
];
